<?php
App::uses('BuzzLateBookingsAppController', 'BuzzLateBookings.Controller');

class LateBookingPackagesController extends BuzzLateBookingsAppController {

	/**
	 * Admin form fields
	 *
	 * @return array
	 */
	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		$fields['LateBookingPackage.participants']['type'] = 'select';

		$fields['LateBookingPackage.activity_api_reference']['after'] = '<p class="input__help">' . __d('buzz_late_bookings', 'Used for selecting the correct diary.') . '</p>';

		$fields['LateBookingPackage.package_api_reference']['after'] = '<p class="input__help">' . __d('buzz_late_bookings', 'Used for checking availability in the diary.') . '</p>';

		$fields['LateBookingPackage.api_additional_notes']['after'] = '<p class="input__help">' . __d('buzz_late_bookings', 'Passed to the API when completing a booking.') . '</p>';

		return $fields;
	}

	/**
	 * Populate admin lookups
	 *
	 * @return void
	 */
	protected function _adminPopulateLookups() {
		$participants = array_combine(range(1, 12), range(1, 12));
		$this->set(compact('participants'));
		return;
	}

}
