<?php
$this->extend('/Common/view');
$title = __d('buzz_late_bookings', 'Late Deals');
if (!empty($data)):
	$title = $this->I18n->translate($data, 'Page.title');
endif;
$this->assign('title', $title);
?>
<?= $this->Html->script(['BuzzLateBookings.buzz_late_bookings.min'], ['inline' => false]); ?>
<?= $this->I18n->translate($data, 'Page.body'); ?>
<div class="row">
	<div class="col-xs-12 col-md-8">
		<div class="input input--hide-label">
			<?php
				// The datepicker injects it's date value into the input
				echo $this->Form->input(
					'LateBooking.date',
					[
						'type' => 'hidden',
						'class' => 'js-late-booking-date',
						'data-src' => $this->Html->url(['action' => 'date', 'ajax' => true])
					]
				);
			?>
		</div>
		<?php
			echo $this->Html->tag(
				'div',
				null,
				[
					'class' => 'datepicker datepicker--two',
					'data-datepicker-disabled' => json_encode(array_keys($unavailableDates)),
					'data-min-date' => $fromDate,
					'data-max-date' => $toDate,
					'data-default-date' => $defaultDate
				]
			);
			echo $this->Html->tag('/div');
		?>
		<div class="content__spacer"></div>
	</div>
	<div class="col-xs-12 col-md-4">
		<p class="large">Date Selected: <span class="js-date-selected color--nonary"></span></p>
	</div>
</div>

<h2><?= __d('buzz_late_bookings', 'Select a Deal') ?></h2>
<div class="js-late-booking-deals"></div>
